package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class KetunaanKelainan
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "KetunaanKelainan_M")
public class KetunaanKelainanVO extends BaseMasterVO {
	@Caption(value="Kode Ketunaan Kelainan")
	private String kdKetunaanKelainan;

	public void setKdKetunaanKelainan(String kdKetunaanKelainan) {
		this.kdKetunaanKelainan = kdKetunaanKelainan;
	}

	@Column(name = "KdKetunaanKelainan", nullable = false , length = 5)
	public String getKdKetunaanKelainan(){
		return this.kdKetunaanKelainan;
	}

	@Caption(value="Ketunaan Kelainan")
	private String ketunaanKelainan;

	public void setKetunaanKelainan(String ketunaanKelainan) {
		this.ketunaanKelainan = ketunaanKelainan;
	}

	@Column(name = "KetunaanKelainan", nullable = true , length = 150)
	public String getKetunaanKelainan(){
		return this.ketunaanKelainan;
	}

	@Caption(value="QKetunaan Kelainan")
	private short qKetunaanKelainan;

	public void setqKetunaanKelainan(short qKetunaanKelainan) {
		this.qKetunaanKelainan = qKetunaanKelainan;
	}

	@Column(name = "QKetunaanKelainan", nullable = false )
	public short getqKetunaanKelainan(){
		return this.qKetunaanKelainan;
	}


}

